# RadioLib: ChannelScanConfig_t Union Reference

ChannelScanConfig_t Union Reference

Common channel scan configuration structure. More...

`#include <PhysicalLayer.h>`

## Public Attributes

CADScanConfig_t | cad
| Interpretation for modems that use CAD (usually LoRa modems)
RSSIScanConfig_t | rssi
| Interpretation for modems that use RSSI threshold.

## Detailed Description

Common channel scan configuration structure.

The documentation for this union was generated from the following file:

- src/protocols/PhysicalLayer/PhysicalLayer.h